Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.ata
Class ATAConstants

    java.lang.Object
      dioscuri.module.ata.ATAConstants

    public class ATAConstants

extends java.lang.Object

An class holding the constants associated with the ATA controller.

Field Summary
`static int` | `BOOT_CDROM`
`static int` | `BOOT_DISKC`
`static int` | `BOOT_FLOPPYA`
`static int` | `BOOT_NONE`
`static int[]` | `DEFAULT_IO_ADDR_1`
`static int[]` | `DEFAULT_IO_ADDR_2`
`static int` | `IDE_DMA_CHANNEL`
`static java.lang.String` | `IDE_MODEL`
`static int` | `INDEX_PULSE_CYCLE`
`static boolean` | `IS_CONNER_CFA540A_DEFINED`
`static boolean` | `IS_LOW_LEVEL_CDROM`
`static int` | `MAX_MULTIPLE_SECTORS`
`static int` | `MAX_NUMBER_DRIVES_PER_CHANNEL`
`static int` | `MAX_NUMBER_IDE_CHANNELS`
`static int` | `NUM_BYTES_PER_BLOCK`
`static int` | `PACKET_SIZE`
`static int` | `PORT_IDE_ALT_STATUS_DEVICE`
`static int` | `PORT_IDE_CYLINDER_HIGH`
`static int` | `PORT_IDE_CYLINDER_LOW`
`static int` | `PORT_IDE_DATA`
`static int` | `PORT_IDE_DRIVE_ADDRESS`
`static int` | `PORT_IDE_DRIVE_HEAD`
`static int` | `PORT_IDE_ERROR_WPC`
`static int` | `PORT_IDE_SECTOR_COUNT`
`static int` | `PORT_IDE_SECTOR_NUMBER`
`static int` | `PORT_IDE_STATUS_CMD`
`static int` | `SECTORS_PER_BLOCK`
`static boolean` | `SUPPORT_REPEAT_SPEEDUPS`
`static boolean` | `SUPPORTS_PCI`
`static boolean` | `WITH_WIN32`

Constructor Summary
`ATAConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORT_IDE_DATA

    public static final int PORT_IDE_DATA

See Also:
  Constant Field Values

### PORT_IDE_ERROR_WPC

    public static final int PORT_IDE_ERROR_WPC

See Also:
  Constant Field Values

### PORT_IDE_SECTOR_COUNT

    public static final int PORT_IDE_SECTOR_COUNT

See Also:
  Constant Field Values

### PORT_IDE_SECTOR_NUMBER

    public static final int PORT_IDE_SECTOR_NUMBER

See Also:
  Constant Field Values

### PORT_IDE_CYLINDER_LOW

    public static final int PORT_IDE_CYLINDER_LOW

See Also:
  Constant Field Values

### PORT_IDE_CYLINDER_HIGH

    public static final int PORT_IDE_CYLINDER_HIGH

See Also:
  Constant Field Values

### PORT_IDE_DRIVE_HEAD

    public static final int PORT_IDE_DRIVE_HEAD

See Also:
  Constant Field Values

### PORT_IDE_STATUS_CMD

    public static final int PORT_IDE_STATUS_CMD

See Also:
  Constant Field Values

### PORT_IDE_ALT_STATUS_DEVICE

    public static final int PORT_IDE_ALT_STATUS_DEVICE

See Also:
  Constant Field Values

### PORT_IDE_DRIVE_ADDRESS

    public static final int PORT_IDE_DRIVE_ADDRESS

See Also:
  Constant Field Values

### DEFAULT_IO_ADDR_1

    public static final int[] DEFAULT_IO_ADDR_1

### DEFAULT_IO_ADDR_2

    public static final int[] DEFAULT_IO_ADDR_2

### IDE_DMA_CHANNEL

    public static final int IDE_DMA_CHANNEL

See Also:
  Constant Field Values

### INDEX_PULSE_CYCLE

    public static final int INDEX_PULSE_CYCLE

See Also:
  Constant Field Values

### PACKET_SIZE

    public static final int PACKET_SIZE

See Also:
  Constant Field Values

### NUM_BYTES_PER_BLOCK

    public static final int NUM_BYTES_PER_BLOCK

See Also:
  Constant Field Values

### SECTORS_PER_BLOCK

    public static final int SECTORS_PER_BLOCK

See Also:
  Constant Field Values

### MAX_NUMBER_IDE_CHANNELS

    public static final int MAX_NUMBER_IDE_CHANNELS

See Also:
  Constant Field Values

### MAX_NUMBER_DRIVES_PER_CHANNEL

    public static final int MAX_NUMBER_DRIVES_PER_CHANNEL

See Also:
  Constant Field Values

### SUPPORT_REPEAT_SPEEDUPS

    public static final boolean SUPPORT_REPEAT_SPEEDUPS

See Also:
  Constant Field Values

### IS_LOW_LEVEL_CDROM

    public static final boolean IS_LOW_LEVEL_CDROM

See Also:
  Constant Field Values

### WITH_WIN32

    public static final boolean WITH_WIN32

See Also:
  Constant Field Values

### IDE_MODEL

    public static final java.lang.String IDE_MODEL

See Also:
  Constant Field Values

### BOOT_NONE

    public static final int BOOT_NONE

See Also:
  Constant Field Values

### BOOT_FLOPPYA

    public static final int BOOT_FLOPPYA

See Also:
  Constant Field Values

### BOOT_DISKC

    public static final int BOOT_DISKC

See Also:
  Constant Field Values

### BOOT_CDROM

    public static final int BOOT_CDROM

See Also:
  Constant Field Values

### IS_CONNER_CFA540A_DEFINED

    public static final boolean IS_CONNER_CFA540A_DEFINED

See Also:
  Constant Field Values

### SUPPORTS_PCI

    public static final boolean SUPPORTS_PCI

See Also:
  Constant Field Values

### MAX_MULTIPLE_SECTORS

    public static final int MAX_MULTIPLE_SECTORS

See Also:
  Constant Field Values

Constructor Detail

### ATAConstants

    public ATAConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD